[Qa-jenkins-scm] [jenkins.debian.net] 01/01: check whether network interface's MTU is 1500, else fail

Holger Levsen holger at layer-acht.org
Wed Aug 3 21:11:40 UTC 2016


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit e94e48877cb8f074ca65bd3ac67756cb512eabd8
Author: Holger Levsen <holger at layer-acht.org>
Date:   Wed Aug 3 23:11:30 2016 +0200

    check whether network interface's MTU is 1500, else fail
---
 bin/reproducible_maintenance.sh | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 946c268..349a85b 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -41,11 +41,18 @@ if [ "$HOSTNAME" = "$MAINNODE" ] ; then
 	cp -v $PACKAGES_DB $BASE/
 fi
 
-# for Debian
-echo "$(date -u) - updating the schroots and pbuilder now..."
+# for Debian, first run some checks…
 echo "$(date -u) - testing whether the proxy works..."
 curl http://www.debian.org > /dev/null
+echo "$(date -u) - testing whether the network interfaces MTU is 1500..."
+if [ "$(LANG=C /sbin/ifconfig | grep -i -v loopback | grep -i mtu | cut -d ":" -f2|cut -d " " -f1)" != "1500" ] ; then
+	/sbin/ifconfig
+	echo "$(date -u) - network interfaces MTU != 1500 - this is wrong."
+	exit 1
+fi
 set +e
+
+echo "$(date -u) - updating the schroots and pbuilder now..."
 # use host architecture (only)
 ARCH=$(dpkg --print-architecture)
 # use host apt proxy configuration for pbuilder

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list